openshot::ProfileInfo Struct Reference

This struct holds profile data, typically loaded from a file. More...

`#include <Profiles.h>`

## Public Attributes

string | description
| The description of this profile. More...
Fraction | display_ratio
| The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3) More...
Fraction | fps
| Frames per second, as a fraction (i.e. 24/1 = 24 fps) More...
int | height
| The height of the video (in pixels) More...
bool | interlaced_frame
int | pixel_format
| The pixel format (i.e. YUV420P, RGB24, etc...) More...
Fraction | pixel_ratio
| The pixel ratio of the video stream as a fraction (i.e. some pixels are not square) More...
int | width
| The width of the video (in pixels) More...

## Detailed Description

This struct holds profile data, typically loaded from a file.

Profile data contains common settings for Writers, such as frame rate, aspect ratios, width, and height combinations.

Definition at line 56 of file Profiles.h.

## Member Data Documentation

## description

string openshot::ProfileInfo::description

The description of this profile.

Definition at line 58 of file Profiles.h.

## display_ratio

Fraction openshot::ProfileInfo::display_ratio

The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3)

Definition at line 64 of file Profiles.h.

## fps

Fraction openshot::ProfileInfo::fps

Frames per second, as a fraction (i.e. 24/1 = 24 fps)

Definition at line 62 of file Profiles.h.

## height

int openshot::ProfileInfo::height

The height of the video (in pixels)

Definition at line 59 of file Profiles.h.

## interlaced_frame

bool openshot::ProfileInfo::interlaced_frame

Definition at line 65 of file Profiles.h.

## pixel_format

int openshot::ProfileInfo::pixel_format

The pixel format (i.e. YUV420P, RGB24, etc...)

Definition at line 61 of file Profiles.h.

## pixel_ratio

Fraction openshot::ProfileInfo::pixel_ratio

The pixel ratio of the video stream as a fraction (i.e. some pixels are not square)

Definition at line 63 of file Profiles.h.

## width

int openshot::ProfileInfo::width

The width of the video (in pixels)

Definition at line 60 of file Profiles.h.

The documentation for this struct was generated from the following file:

- Profiles.h